/**
 * 福利部分控制类
 */
function Welfare(){};

Welfare.prototype.getRedPackets=function()
{
	var welftimeId=$("#welfarecountdown").attr("welftimeId");
	
	var url= new AppInit().BaseServiceUrl+"/Welfare/getWelfPassword";
	
	if(welftimeId!="")
	{
		url=url+"?welftimeId="+welftimeId;
	}
	
	Common.get(url,null,function(data)
	{
		$("#welf-password").val(data);
		$("#welf-password").attr("type","text");
		
	},function(){});
};

/**
 * 刷新福利页面
 */
Welfare.prototype.refreshWelfare=function()
{
	var walfareUrl=new AppInit().BaseServiceUrl+"/Welfare/getWelfStartTime";
	
	$("#welf-password").attr("type","password");
	
	Common.get(walfareUrl,null,function(data)
	{
		var validSecond=data.subTime;
		var welftimeId=data.welftimeId!=null?data.welftimeId:"";
		
		function calValidTime(validSecond)
		{
			if($("#welfarecountdown").attr("validSecond")=="")
			{
				$("#welfarecountdown").attr("validSecond",validSecond);
				$("#welfarecountdown").attr("welftimeId",welftimeId);
			}
			else
			{
				validSecond=validSecond-1;
				$("#welfarecountdown").attr("validSecond",validSecond);
				$("#welfarecountdown").attr("welftimeId",welftimeId);
			}
			
			if(validSecond>=0)
			{
				var hour=parseInt(validSecond/(60*60));
				var minute=parseInt(validSecond/60-hour*60);
				var second=parseInt(validSecond-minute*60-hour*60*60);
			
				hour=hour<10?"0"+hour.toString():hour.toString();
				minute=minute<10?"0"+minute.toString():minute.toString();
				second=second<10?"0"+second.toString():second.toString();
				
				$("#welfare-hour").html(hour);
				$("#welfare-minute").html(minute);
				$("#welfare-second").html(second);
			}
			else
			{
				//先把定时器干死
				window.clearInterval(Common.Interval["welfareInterval"]);
				//重置为0
				$("#welfarecountdown").attr("validSecond",0);
				$("#welfarecountdown").attr("welftimeId",welftimeId);
			}
		}
		
		function refreshWelfareCountDown()
		{
			var validSecond= $("#welfarecountdown").attr("validSecond");
			calValidTime(validSecond);
		}
		
		calValidTime(validSecond);
		
		Common.Interval["welfareInterval"]=window.setInterval(refreshWelfareCountDown,1000);//一秒钟刷新一次
		
	},function(){});
};
